summaryrefslogtreecommitdiff
path: root/share/hackvr/examples/filebrowser/backend-gopher.sh
diff options
context:
space:
mode:
Diffstat (limited to 'share/hackvr/examples/filebrowser/backend-gopher.sh')
-rwxr-xr-xshare/hackvr/examples/filebrowser/backend-gopher.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/share/hackvr/examples/filebrowser/backend-gopher.sh b/share/hackvr/examples/filebrowser/backend-gopher.sh
new file mode 100755
index 0000000..ab360da
--- /dev/null
+++ b/share/hackvr/examples/filebrowser/backend-gopher.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+#give a list of files.
+#wait for a selection on stdin
+#cd or start that file
+#repeat.
+server=$1
+${server:="gopher.hacking.allowed.org"}
+#gopher.hacking.allowed.org
+port=70
+selection=/
+while true;do
+#not sure why this needs to be printed to show up every time.
+ printf "/\n"
+ printf '%s\n' "$selection" | ncat "$server" "$port" | tee /dev/stderr | grep -v ^i | cut -f2 | tr -d '\r'
+### need to ask user for input in the form of a pop-up window if the selected target was of type 7
+ read -r selection
+ if [ "_" = "_$selection" ];then
+ echo "looks like there's nothing here. exiting." >&2
+ exit 1
+ fi
+ echo
+done